Correct description in messages; add 'tel' input type
Move description.txt to its proper place in the i18n messages file, and
add the 'tel' input data type.
BUG=615448
[email protected]
Review URL: https://codereview.chromium.org//2235683003 .
diff --git a/go-back-with-backspace/_locales/en/messages.json b/go-back-with-backspace/_locales/en/messages.json
index 6fdb719..92dfd7b 100644
--- a/go-back-with-backspace/_locales/en/messages.json
+++ b/go-back-with-backspace/_locales/en/messages.json
@@ -4,7 +4,7 @@
"description": "Name of this extension."
},
"extensionDescription": {
- "message": "Restores backspace as a back button.",
+ "message": "Re-enables the backspace key as a back navigation button (except when writing text).",
"description": "Brief description of this extension."
}
}
diff --git a/go-back-with-backspace/build-zip.sh b/go-back-with-backspace/build-zip.sh
index fceb2fd..eeb9c92 100755
--- a/go-back-with-backspace/build-zip.sh
+++ b/go-back-with-backspace/build-zip.sh
@@ -20,7 +20,7 @@
# Remove backup files.
rm -f $(find . -name \*~ -or -name \#\*\#)
-if ! mkdir icons; then
+if ! mkdir -p icons; then
echo "Error creating icons/ directory" >&2
exit 1
fi
diff --git a/go-back-with-backspace/description.txt b/go-back-with-backspace/description.txt
deleted file mode 100644
index 7eceb32..0000000
--- a/go-back-with-backspace/description.txt
+++ /dev/null
@@ -1,2 +0,0 @@
-Re-enables the backspace key as a back navigation button (except when writing
-text).
diff --git a/go-back-with-backspace/is_editable.js b/go-back-with-backspace/is_editable.js
index 9f5625c..585aa4f 100644
--- a/go-back-with-backspace/is_editable.js
+++ b/go-back-with-backspace/is_editable.js
@@ -14,7 +14,8 @@
nodeType === 'email' ||
nodeType === 'number' ||
nodeType === 'password' ||
- nodeType === 'search'))) {
+ nodeType === 'search' ||
+ nodeType === 'tel'))) {
return true;
}